> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get firm user mapping

> Retrieves a user mapping (based on staff or user id parameter provided) in the firm associated with the authenticated client.



## OpenAPI

````yaml /openapi.json get /firmusers/{id}
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /firmusers/{id}:
    get:
      tags:
        - Firm
      summary: Get firm user mapping
      description: >-
        Retrieves a user mapping (based on staff or user id parameter provided)
        in the firm associated with the authenticated client.
      operationId: GetFirmUserByIdAsync
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: When request is successful. Returns a 'FirmUser' object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FirmUser'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    FirmUser:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        staffId:
          type: string
          description: Unique identifier of the staff member.
          nullable: true
          example: 750eb5c5-ac0b-7d11-4997-e0ce9d8896c8
        userId:
          type: string
          description: Unique identifier of the user.
          nullable: true
          example: b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2
        isFormerUser:
          type: boolean
          description: Returns true if this user is a former user.
          example: false
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````